<?php

use app\cbcrm\middleware\check;
use app\cbcrm\middleware\membercheck;
use think\facade\Route;


Route::group('user',function(){
	Route::any('/index', 'user.index/index'); //首页
	Route::any('/getUserInfo', 'user.index/getUserInfo');// 获取用户信息
})->middleware(app\cbcrm\middleware\check::class);

Route::post('user/login', 'user.index/login');// 登录
Route::post('user/logout', 'user.index/logout');// 注销登录
Route::get('basic/info', 'basic/getAppInfo')->middleware(app\cbcrm\middleware\check::class);// 获取应用信息
Route::get('basic/getRegionTree', 'basic/getRegionTree');// 获取应用信息

Route::group('config',function(){
    // 数据字典
    Route::get('/dictionary/index', 'config.dictionary/index');
    Route::get('/dictionary/getType', 'config.dictionary/getType');
    Route::post('/dictionary/add', 'config.dictionary/add');
    Route::post('/dictionary/edit', 'config.dictionary/edit');
    Route::delete('/dictionary/del', 'config.dictionary/del');
    // 运费模板
    Route::get('/delivery/index', 'config.delivery/index');
    Route::get('/delivery/detail', 'config.delivery/detail');
    Route::get('/delivery/all', 'config.delivery/all');
    Route::post('/delivery/add', 'config.delivery/add');
    Route::post('/delivery/edit', 'config.delivery/edit');
    Route::delete('/delivery/del', 'config.delivery/del');
    // 系统设置
    Route::get('/setting/config','config.setting/getConfig');
    Route::post('/setting/update','config.setting/update');
    // 物流公司
    Route::get('/express/index', 'config.express/index');
    Route::get('/express/all', 'config.express/getAll');
    Route::post('/express/add', 'config.express/add');
    Route::post('/express/edit', 'config.express/edit');
    Route::delete('/express/del', 'config.express/del');
    // 地址管理
    Route::get('/address/index', 'config.address/index');
    Route::get('/address/all', 'config.address/getAll');
    Route::post('/address/add', 'config.address/add');
    Route::post('/address/edit', 'config.address/edit');
    Route::delete('/address/del', 'config.address/del');
    // 导航设置
    Route::get('/nav/index', 'config.nav/index');
    Route::post('/nav/add', 'config.nav/add');
    Route::post('/nav/edit', 'config.nav/edit');
    Route::delete('/nav/del', 'config.nav/del');

})->middleware(app\cbcrm\middleware\check::class);

Route::group('customer', function () {
    // 客户
    Route::get('/customer/index','customer.customer/index');
    Route::get('/customer/getFormData','customer.customer/getFormData');
    Route::get('/customer/checkCustomer','customer.customer/checkCustomer');
    Route::post('/customer/add','customer.customer/add');
    Route::get('/customer/detail','customer.customer/detail');
    Route::post('/customer/edit','customer.customer/edit');
    Route::delete('/customer/del','customer.customer/del');
    // 联系人
    Route::get('/contacts/index','customer.contacts/index');
    Route::get('/contacts/getFormData','customer.contacts/getFormData');
    Route::post('/contacts/add','customer.contacts/add');
    Route::post('/contacts/edit','customer.contacts/edit');
    Route::delete('/contacts/del','customer.contacts/del');
})->middleware(app\cbcrm\middleware\check::class);

Route::group('goods', function () {
    // 商品分类
    Route::get('/category/index','goods.category/index');
    Route::post('/category/add','goods.category/add');
    Route::post('/category/edit','goods.category/edit');
    Route::delete('/category/del','goods.category/del');
    // 商品列表
    Route::get('/goods/index','goods.goods/index');
    Route::get('/goods/listByIds','goods.goods/listByIds');
    Route::get('/goods/detail','goods.goods/detail');
    Route::post('/goods/add','goods.goods/add');
    Route::post('/goods/edit','goods.goods/edit');
    Route::delete('/goods/del','goods.goods/del');
    // 订单列表
    Route::get('/order/index','goods.order/index');
    Route::get('/order/detail','goods.order/detail');
    Route::delete('/order/del','goods.order/del');
    Route::post('/order/delivery','goods.order/delivery');
    Route::post('/order/confirmCancel','goods.order/confirmCancel');
    Route::get('/order/export','goods.order/export');

    // 售后单列表
    Route::get('/order_refund/index','goods.order_refund/index');
    Route::get('/order_refund/detail','goods.order_refund/detail');
    Route::post('/order_refund/audit','goods.order_refund/audit');
    Route::post('/order_refund/receipt','goods.order_refund/receipt');
    Route::delete('/order_refund/del','goods.order_refund/del');

})->middleware(app\cbcrm\middleware\check::class);

Route::group('attachment',function (){
    // 文件分组
    Route::get('/group_add','attachment/group_add');
    Route::post('/move_group','attachment/move_group');
    Route::get('/group_list','attachment/group_list');
    // 文件列表
    Route::get('/list','attachment/index');
    Route::get('/upload_image','attachment/upload_image');
})->middleware(app\cbcrm\middleware\check::class);

Route::group('member',function (){
    // 会员列表
    Route::get('/member/index','member.member/index');
    Route::post('/member/grade','member.member/grade');
    Route::post('/member/recharge','member.member/recharge');
    // 余额明细
    Route::get('/balance/log','member.member/balanceLog');
    // 积分明细
    Route::get('/score/log','member.member/scoreLog');
    // 充值记录
    Route::get('recharge/index','member.recharge/index');

    // 会员等级
    Route::get('/grade/index','member.grade/index');
    Route::get('/grade/all','member.grade/all');
    Route::post('/grade/add','member.grade/add');
    Route::post('/grade/edit','member.grade/edit');
    Route::delete('/grade/del','member.grade/del');

})->middleware(app\cbcrm\middleware\check::class);


Route::group('article',function (){
    // 文章分类
    Route::get('/category/index','article.category/index');
    Route::post('/category/add','article.category/add');
    Route::post('/category/edit','article.category/edit');
    Route::delete('/category/del','article.category/del');


    // 文章列表
    Route::get('/article/index','article.article/index');
    Route::get('/article/detail','article.article/detail');
    Route::post('/article/add','article.article/add');
    Route::post('/article/edit','article.article/edit');
    Route::delete('/article/del','article.article/del');

    // 广告列表
    Route::get('/block/index','article.block/index');
    Route::post('/block/add','article.block/add');
    Route::post('/block/edit','article.block/edit');
    Route::delete('/block/del','article.block/del');
    Route::get('/block/detail','article.block/detail');

    // 通知公告
    Route::get('/notice/index','article.notice/index');
    Route::post('/notice/add','article.notice/add');
    Route::post('/notice/edit','article.notice/edit');
    Route::delete('/notice/del','article.notice/del');

    // 友情链接
    Route::get('/friendlink/index','article.friendLink/index');
    Route::post('/friendlink/add','article.friendLink/add');
    Route::post('/friendlink/edit','article.friendLink/edit');
    Route::delete('/friendlink/del','article.friendLink/del');

    // 菜单列表
    Route::get('/menu/index','article.menu/index');
    Route::post('/menu/add','article.menu/add');
    Route::post('/menu/edit','article.menu/edit');
    Route::post('/menu/sync','article.menu/sync');
    Route::delete('/menu/del','article.menu/del');

})->middleware(app\cbcrm\middleware\check::class);

Route::group('market',function (){
    // 充值套餐
    Route::get('/recharge_package/index','market.recharge_package/index');
    Route::post('/recharge_package/add','market.recharge_package/add');
    Route::post('/recharge_package/edit','market.recharge_package/edit');
    Route::delete('/recharge_package/del','market.recharge_package/del');

    Route::get('/coupon/index','market.coupon/index');
    Route::post('/coupon/add','market.coupon/add');
    Route::post('/coupon/edit','market.coupon/edit');
    Route::delete('/coupon/del','market.coupon/del');
    Route::get('/coupon/detail','market.coupon/detail');
    Route::get('/coupon/receive','market.coupon/receive');

})->middleware(app\cbcrm\middleware\check::class);


Route::group('report',function (){
    // 经营概况
    Route::get('/management','report.management/index');

})->middleware(app\cbcrm\middleware\check::class);

Route::group('trademark',function (){
    // 商标产品
    Route::get('/product/index','trademark.product/index');
    Route::get('/product/detail','trademark.product/detail');
    Route::post('/product/add','trademark.product/add');
    Route::post('/product/edit','trademark.product/edit');
    Route::delete('/product/del','trademark.product/del');
    // 商标申请人
    Route::get('/applyer/index','trademark.applyer/index');
    Route::get('/applyer/detail','trademark.applyer/detail');
    Route::post('/applyer/edit','trademark.applyer/edit');
    Route::delete('/applyer/del','trademark.applyer/del');
    // 商标订单
    Route::get('/order/index','trademark.order/index');
    Route::get('/order/detail','trademark.order/detail');
    Route::post('/order/edit','trademark.order/edit');
    Route::delete('/order/del','trademark.order/del');
    // 商标发文
    Route::get('/file/index','trademark.file/index');
    Route::post('/file/add','trademark.file/add');
    Route::get('/file/detail','trademark.file/detail');
    Route::post('/file/edit','trademark.file/edit');
    Route::delete('/file/del','trademark.file/del');
    // 发文索取
    Route::get('/fileFetch/index','trademark.fileFetch/index');
    Route::post('/fileFetch/add','trademark.fileFetch/add');
    Route::get('/fileFetch/detail','trademark.fileFetch/detail');
    Route::post('/fileFetch/edit','trademark.fileFetch/edit');
    Route::delete('/fileFetch/del','trademark.fileFetch/del');


    // 商标服务订单
    Route::get('/service_order/index','trademark.service_order/index');
    Route::get('/service_order/detail','trademark.service_order/detail');
    Route::post('/service_order/edit','trademark.service_order/edit');
    Route::delete('/service_order/del','trademark.service_order/del');

})->middleware(app\cbcrm\middleware\check::class);

Route::group('copyright',function (){
    // 版权登记
    Route::get('/product/index','copyright.product/index');
    Route::get('/product/detail','copyright.product/detail');
    Route::post('/product/add','copyright.product/add');
    Route::post('/product/edit','copyright.product/edit');
    Route::delete('/product/del','copyright.product/del');
    // 版权订单
    Route::get('/order/index','copyright.order/index');
    Route::get('/order/softwareDetail','copyright.order/softwareDetail');
    Route::get('/order/opusDetail','copyright.order/opusDetail');
    Route::get('/order/detail','copyright.order/detail');
    Route::post('/order/add','copyright.order/add');
    Route::post('/order/edit','copyright.order/edit');
    Route::delete('/order/del','copyright.order/del');

})->middleware(app\cbcrm\middleware\check::class);

Route::group('logo',function (){
    // logo 案例
    Route::get('/case/index','logo.logo_case/index');
    Route::get('/case/detail','logo.logo_case/detail');
    Route::get('/case/formData','logo.logo_case/getFormData');
    Route::post('/case/add','logo.logo_case/add');
    Route::post('/case/edit','logo.logo_case/edit');
    Route::delete('/case/del','logo.logo_case/del');
    // logo 配套VI
    Route::get('/logovi/index','logo.logo_vi/index');
    Route::get('/logovi/detail','logo.logo_vi/detail');
    Route::post('/logovi/add','logo.logo_vi/add');
    Route::post('/logovi/edit','logo.logo_vi/edit');
    Route::delete('/logovi/del','logo.logo_vi/del');
    // logo 套餐
    Route::get('/package/index','logo.package/index');
    Route::get('/package/detail','logo.package/detail');
    Route::post('/package/add','logo.package/add');
    Route::post('/package/edit','logo.package/edit');
    Route::delete('/package/del','logo.package/del');
    // logo 订单
    Route::get('/order/index','logo.order/index');
    Route::get('/order/detail','logo.order/detail');
    Route::post('/order/add','logo.order/add');
    Route::post('/order/edit','logo.order/edit');
    Route::delete('/order/del','logo.order/del');
    // logo 附加服务
    Route::get('/other/index','logo.other/index');
    Route::post('/other/add','logo.other/add');
    Route::post('/other/edit','logo.other/edit');
    Route::delete('/other/del','logo.other/del');

})->middleware(app\cbcrm\middleware\check::class);

Route::group('manage',function (){
    // 部门管理
    Route::get('/department/index','manage.department/index');
    Route::get('/department/list','manage.department/getDepartmentList');
    Route::get('/department/staff','manage.department/getDepartmentStaffList');
    Route::post('/department/add','manage.department/add');
    Route::post('/department/edit','manage.department/edit');
    Route::delete('/department/del','manage.department/del');
    // 职位角色管理
    Route::get('/role/index','manage.role/index');
    Route::post('/role/add','manage.role/add');
    Route::get('/role/get_menu_list','manage.role/getMenuList');
    Route::post('/role/edit','manage.role/edit');
    Route::delete('/role/del','manage.role/del');
    // 员工管理
    Route::get('/staff/index','manage.staff/index');
    Route::post('/staff/add','manage.staff/add');
    Route::post('/staff/edit','manage.staff/edit');
    Route::delete('/staff/del','manage.staff/del');

})->middleware(app\cbcrm\middleware\check::class);

Route::get('/index/dashboard','index/dashboard')->middleware(app\cbcrm\middleware\check::class);

Route::get('/web','web/index');
Route::get('/ajax/icon','basic/icon');

/**
 * 管理后台
 */
Route::group('admin', function () {
    Route::any('/user/info', 'admin.index/getUserInfo'); //用户信息

    // 商户列表
    Route::group('store',function (){
        Route::get('/list','admin.store.Store/index');
        Route::post('/setting','admin.store.Store/setting');
    });

    // 权限菜单
    Route::group('menu',function (){
        Route::get('/list','admin.Menu/index');
        Route::post('/add','admin.Menu/add');
        Route::post('/edit','admin.Menu/edit');
        Route::get('/get_tree','admin.Menu/getTree');
    });

    // 会员列表
    Route::group('member',function (){
        Route::get('/list','admin.member.Member/index');
    });

    // 网站管理
    Route::group('site',function (){
       Route::get('/menu/list','admin.site.Menu/index');
       Route::post('/menu/add','admin.site.Menu/add');
       Route::post('/menu/edit','admin.site.Menu/edit');

       Route::get('/friendlink/list','admin.site.FriendLink/index');
       Route::post('/friendlink/add','admin.site.FriendLink/add');
       Route::post('/friendlink/edit','admin.site.FriendLink/edit');
       Route::post('/menu/edit','admin.site.Menu/edit');

       Route::get('/block/list','admin.site.Block/index');
       Route::post('/block/add','admin.site.Block/add');
       Route::post('/block/edit','admin.site.Block/edit');
       Route::post('/block/del','admin.site.Block/del');

       Route::get('/config/get_config','admin.site.Config/getConfig');
       Route::post('/config/save_config','admin.site.Config/saveConfig');
    });



})->middleware(app\cbcrm\middleware\admincheck::class);

Route::post('admin/user/login', 'admin.index/login');// 登录

/**
 * PC网站接口路由
 * */
Route::any('/index','site.index/index');

Route::get('/product/index','site.product/index');
Route::get('/product/detail','site.product/detail');

Route::post('/product/order','site.product/order')
    ->middleware(app\cbcrm\middleware\membercheck::class);
Route::post('/product/createOrder','site.product/createOrder')
    ->middleware(app\cbcrm\middleware\membercheck::class);
Route::post('/product/payOrder','site.product/payOrder')
    ->middleware(app\cbcrm\middleware\membercheck::class);

Route::get('/news/index','site.news/index');
Route::get('/news/detail','site.news/detail');
Route::get('/news/channel','site.news/channel');

Route::get('/notice/index','site.notice/index');
Route::get('/notice/detail','site.notice/detail');

Route::get('/trademark/index','site.trademark/index');
Route::any('/trademark/order','site.trademark/order');
Route::any('/trademark/pay','site.trademark/pay');
Route::any('/trademark/search','site.trademark/search');
Route::any('/trademark/search_details','site.trademark/search_details');
Route::any('/trademark/company_detail','site.trademark/company_detail');

Route::get('/logo/index','site.logo/index');
Route::post('/logo/order','site.logo/order');
Route::post('/logo/pay','site.logo/pay');

Route::get('/copyright/index','site.copyright/index');
Route::get('/copyright/detail','site.copyright/detail');
Route::post('/copyright/order','site.copyright/order');
Route::post('/copyright/pay','site.copyright/pay');

Route::group('page',function (){
    Route::get('/accounting_proxy','site.page/accounting_proxy');
    Route::get('/company','site.page/company');
    Route::get('/tax_plan','site.page/tax_plan');
    Route::get('/company_audit','site.page/company_audit');
});
Route::get('/area','site.page/area');
Route::any('/login','site.user/login');
Route::any('/register','site.user/register');

Route::get('captcha/[:config]','\\think\\captcha\\CaptchaController@index');

// 会员中心
Route::group('member',function (){

    Route::get('/index','site.user/index');
    Route::get('/profile','site.user/profile');
    Route::any('/logout','site.user/logout');
    Route::any('/changepwd','site.user/changepwd');
    // 订单列表
    Route::get('/order/index','site.userOrder/index');
    Route::get('/order/detail','site.userOrder/detail');
    // 商标知产
    Route::get('/tm/order/index','site.tmOrder/index');
    Route::get('/tm/order/detail','site.tmOrder/detail');
    Route::post('/tm/order/del','site.tmOrder/del');

    Route::get('/tm/file/index','site.tmFile/index');
    Route::any('/tm/file/file_fetches','site.tmFile/file_fetches');
    Route::get('/tm/applyer/index','site.tmApplyer/index');
    Route::any('/tm/applyer/add','site.tmApplyer/add');
    Route::any('/tm/applyer/edit','site.tmApplyer/edit');

    Route::get('/copyright/order','site.copyrightOrder/index');
    Route::get('/copyright/order_detail','site.copyrightOrder/detail');
    Route::post('/copyright/order_del','site.copyrightOrder/del');
    Route::get('/copyright/opus_material','site.copyrightOrder/opus_material');
    Route::any('/copyright/software_material','site.copyrightOrder/software_material');
    Route::any('/copyright/opus_material','site.copyrightOrder/opus_material');
    Route::any('/logo/order','site.LogoOrder/index');
    Route::any('/logo/order_detail','site.LogoOrder/detail');
    Route::any('/logo/order_del','site.LogoOrder/del');

    Route::get('/coupon/index','site.userCoupon/index');
    Route::get('/coupon/user','site.userCoupon/user');

})->middleware(app\cbcrm\middleware\membercheck::class);
